### Method

# Gtk Widget set_cursor

#### Declaration [src]

    void
    gtk_widget_set_cursor (
      GtkWidget* widget,
      GdkCursor* cursor
    )

#### Description [src]

Sets the cursor to be shown when the pointer hovers over the widget.

If the `cursor` is `NULL`, `widget` will use the cursor inherited from its parent.

Sets property | `Gtk.Widget:cursor`

#### Parameters

`cursor`

  Type: `GdkCursor`

  The new cursor.

  The argument can be `NULL`.
  The data is owned by the caller of the method.